Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026553
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2014-05-15 10:492014-08-08 18:53
ReporterVictorVillarView Statuspublic 
Assigned TodaniOpenbravo 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revision1939f4cf8828
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToAtulOpenbravo
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026553: The Actual Amount in Details tab of the Commission Payment is wrong calculated under some circumstancies

DescriptionThe Actual Amount in Details tab of the Commission Payment is wrong calculated when you are working with Returns from Customer
Steps To ReproduceAs group Admin role,
Go to Commission window:
 create a new one:
   Org: Región Norte
   Basis Amount: Margin
   Sales Rep: Javier Martín
   Frequency Type: Monthly
   basis document: Invoice
   Cascade: Yes
   List Details: Yes
   Name: Commission
 Go to Lines tab:
   Based on Sales Rep: Yes
   Multiplier Amount: 1

Go to Sales Order:
   Create a new one for 1 unit of product Agua sin Gas 1L
   Business Partner: Alimentos y Supermercados
Go to Goods Shipment window:
   create one related to the Sales Order
Go to Sales invice window:
   create the one related to the Goods Shipment
   Sales Representative: Javier Martín

Go to Return from Customer window:
  create a new one for the Shipment created before
Go to Return Material Receipt window:
  select the Return from Customer created before.
Go to Sales invice window:
   create the one related to the Return from Customer
   Document type: Return Material Sales Invoice
   Sales Representative: Javier Martín

After that realise that the Costing Backgorund Processa has calculated all that new warehouse transactions (Goods Shipment and Return Material Receipt transactions), please check Transactions tab of the Product: Agua sin Gas.
Once those transactions will have been calculated:
 Go to Commission window:
   Generate the Commission
Then check the values in Commission Payment
  You can check the Amount value of the Details tab for the Return Line, which is the substract of the Invoice amount - Cost, but it should be the Margin = Invoice Amount + Cost

As a result of that the line of the original invoice line and the return invoice line will sum 0.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00259203.0PR14Q3 closedAtulOpenbravo The Actual Amount in Details tab of the Commision Payment is wrong calculated under some circumstancies 

-  Notes
(0068707)
hgbot (developer)
2014-07-17 16:36

Repository: erp/devel/pi
Changeset: 1939f4cf8828ca2089e90d13a03c5645a5891ac8
Author: Daniel Ruiz <daniel.ruiz <at> openbravo.com>
Date: Thu Jul 10 18:12:58 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1939f4cf8828ca2089e90d13a03c5645a5891ac8 [^]

Fixes Issue 26553: ActualAmount (Details tab,Commission Payment) is wrong calculated

---
M src-db/database/model/functions/C_COMMISSION_PROCESS.xml
---
(0068711)
daniOpenbravo (developer)
2014-07-17 16:50

Verified.
(0069178)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-15 10:49 VictorVillar New Issue
2014-05-15 10:49 VictorVillar Assigned To => dmiguelez
2014-05-15 10:49 VictorVillar Modules => Core
2014-05-15 10:49 VictorVillar Triggers an Emergency Pack => No
2014-05-15 10:57 VictorVillar Relationship added related to 0025920
2014-05-15 10:58 VictorVillar Issue Monitored: networkb
2014-05-26 13:16 ngarcia Summary The Actual Amount in Details tab of the Commision Payment is wrong calculated under some circumstancies => The Actual Amount in Details tab of the Commission Payment is wrong calculated under some circumstancies
2014-05-26 13:16 ngarcia Description Updated View Revisions
2014-06-30 12:53 eduardo_Argal Target Version PR14Q3 => PR14Q4
2014-07-04 07:51 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2014-07-10 11:47 daniOpenbravo Assigned To jonalegriaesarte => daniOpenbravo
2014-07-10 11:47 daniOpenbravo Status new => scheduled
2014-07-17 16:36 hgbot Checkin
2014-07-17 16:36 hgbot Note Added: 0068707
2014-07-17 16:36 hgbot Status scheduled => resolved
2014-07-17 16:36 hgbot Resolution open => fixed
2014-07-17 16:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1939f4cf8828ca2089e90d13a03c5645a5891ac8 [^]
2014-07-17 16:50 daniOpenbravo Review Assigned To => AtulOpenbravo
2014-07-17 16:50 daniOpenbravo Note Added: 0068711
2014-07-17 16:50 daniOpenbravo Status resolved => closed
2014-07-17 16:50 daniOpenbravo Fixed in Version => 3.0PR14Q4
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069178
2015-06-16 19:32 aferraz Relationship added related to 0030184
2015-06-16 19:52 aferraz Relationship deleted related to 0030184


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker